
###### Configurable variables ######
# Binaries will be installed on $INSTALL_PREFIX/bin
# and data on $INSTALL_PREFIX/share/qcclc
!win32 {
  INSTALL_PREFIX = /usr/local
}
# Extra includes search path
EXTRA_INCLUDES_PATH =
# Extra libraries search path (-L/usr/local/lib -L/mylibs ...)
EXTRA_LIBS_PATH =
# Extra libraries (-lmylib -lmylib2 ...)
EXTRA_LIBS =


#######################################
#######################################

TEMPLATE = app
TARGET = qcclc
VERSION = 0.1.0
DEPENDPATH += .
INCLUDESPATH += $$EXTRA_INCLUDES_PATH
LIBS += -lcclc $$EXTRA_LIBS_PATH $$EXTRA_LIBS
UI_HEADERS_DIR = ./ui/include
UI_SOURCES_DIR = ./ui/src
MOC_DIR = ./build
OBJECTS_DIR = ./build

FORMS += ui/infowin.ui \
	 ui/passworddialog.ui
SOURCES += src/main.cpp \
	   src/qcclc.cpp \ 
	   src/grabber.cpp \
	   src/infowin.cpp \
	   src/lockwin.cpp \
	   src/passworddialog.cpp
HEADERS += src/cmds.h \
	   src/qcclc.h \
	   src/grabber.h \ 
	   src/infowin.h \
	   src/lockwin.h \
	   src/passworddialog.h
TRANSLATIONS += translations/qcclc_es.ts

CONFIG += qt

!win32 {
  target.path = $$INSTALL_PREFIX/bin
  translations.path = $$INSTALL_PREFIX/share/qcclc/translations
  translations.files = translations/qcclc_es.qm
  DEFINES += TRANSLATIONS_DIRECTORY="'\"$$translations.path\"'"
  INSTALLS += target translations
}

