#ifndef GRABBER_H
#define GRABBER_H
#include <QWidget>

class Grabber : public QWidget
{
public:
  Grabber(QWidget &grabbedwin, QString &title);
protected:
  virtual void closeEvent(QCloseEvent *e);
  virtual void mousePressEvent(QMouseEvent *e);
  virtual void mouseReleaseEvent(QMouseEvent *e);
  virtual void mouseMoveEvent(QMouseEvent *e);
  virtual void moveEvent(QMoveEvent *e);
  virtual void paintEvent(QPaintEvent *);
private:
  bool			 m_grabbed;
  bool			 m_moved;
  QString		 m_title;
  QPoint		 m_grabpt;
  QWidget		*m_grab;
};

#endif
